<template>
  <div class="overview-section">
    <div class="container">
      <h1>{{ title }}</h1>

      <client-only>
        <AppImg
          :src="
            $mq === 'mobile'
              ? overview_arrow_mobile_image
              : overview_arrow_image
          "
          class="arrow"
        />

        <div class="tab-wrap">
          <template v-if="$mq === 'mobile'">
            <el-select
              v-model="current_tab"
              placeholder="Select"
              @change="goToSection(current_tab)"
            >
              <el-option
                v-for="tab in tabs"
                :key="tab.name"
                :label="tab.name"
                :value="tab.id"
              >
              </el-option>
            </el-select>

            <!-- <button class="btn-apply body1" @click="goToSection(current_tab)">
            Apply
          </button> -->
          </template>

          <template v-else>
            <div
              v-for="tab in tabs"
              :key="tab.name"
              class="tab body1"
              @click="goToSection(tab.id)"
            >
              {{ tab.name }}
            </div>
          </template>
        </div>
      </client-only>
    </div>
  </div>
</template>

<script>
import _ from "lodash";

export default {
  props: {
    title: {
      type: String,
      default: "",
    },
    tabs: {
      type: Array,
      default: [],
    },
  },
  data() {
    return {
      overview_arrow_image: require("~/assets/images/overview_arrow.svg"),
      overview_arrow_mobile_image: require("~/assets/images/overview_arrow_mobile.svg"),
      current_tab: "#overview",
    };
  },
  methods: {
    async goToSection(id) {
      await this.$nextTick();
      const element = document.querySelector(id);
      if (element) element.scrollIntoView({ behavior: "smooth" });
    },
  },
};
</script>

<style lang="scss" scoped>
.overview-section {
  padding: 40px 0;
  @include media-breakpoint(mobile) {
    padding: 24px 0;
  }
  h1 {
    text-align: right;
  }
  .arrow {
    width: 100%;
    margin-top: 40px;
    @include media-breakpoint(mobile) {
      margin-top: 24px;
    }
  }
  .tab-wrap {
    display: flex;
    margin-top: 40px;
    @include media-breakpoint(mobile) {
      border-top: 1px solid $color-primary-500;
      border-bottom: 1px solid $color-primary-500;
      margin: 24px -24px 0 -24px;
      padding: 12px 24px 12px 24px;
    }
    .tab {
      flex: 1;
      height: 48px;
      display: flex;
      align-items: center;
      justify-content: center;
      text-align: center;
      border: 1px solid $color-program-architecture;
      border-right: none;
      cursor: pointer;
    }
    .tab:last-of-type {
      border-right: 1px solid $color-program-architecture;
    }
    .el-select {
      flex: 1;
      ::v-deep {
        input {
          border: none !important;
          font-size: 16px;
          line-height: 20px;
          padding-left: 0;
        }
        .el-input__icon {
          color: $color-primary-500;
          font-weight: bold;
          font-size: 20px;
        }
      }
    }
    .btn-apply {
      background: black;
      border: none;
      color: white;
      padding: 6px 24px;
      margin-left: 12px;
    }
  }
}
</style>
